Package org.eclipse.ecf.discovery

# Interface IServiceInfo

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Implementing Classes:
  `JSLPServiceInfo`, `ServiceInfo`

public interface IServiceInfo extends org.eclipse.core.runtime.IAdaptable
Service information contract. Defines the information associated with a remotely discoverable service see http://www.dns-sd.org/ServiceTypes.html and http://www.ietf.org/rfc/rfc2782.txt

## Method Summary

Modifier and Type
Method
Description
`URI`
`getLocation()`
Get URI for service
`int`
`getPriority()`
The priority for the service Priority: The priority of this target host.
`IServiceID`
`getServiceID()`
Get ServiceID for service.
`String`
`getServiceName()`
A user choose label used for pretty printing this service.
`IServiceProperties`
`getServiceProperties()`
Map with any/all properties associated with the service.
`long`
`getTTL()`
The time to live for the service.
`int`
`getWeight()`
The weight for the service.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### getLocation

URI getLocation()
Get URI for service

Returns:
  `URI` the location for the service.

### getServiceID

IServiceID getServiceID()
Get ServiceID for service.

Returns:
  ServiceID the serviceID for the service. Will not be `null`.

### getPriority

int getPriority()
The priority for the service Priority: The priority of this target host. A client MUST attempt to contact the target host with the lowest-numbered priority it can reach; target hosts with the same priority SHOULD be tried in an order defined by the weight field.

Returns:
  int the priority. 0 if no priority information for service.

### getWeight

int getWeight()
The weight for the service. 0 if no weight information for service. Weight: A server selection mechanism. The weight field specifies a relative weight for entries with the same priority. Larger weights SHOULD be given a proportionately higher probability of being selected. Domain administrators SHOULD use Weight 0 when there isn't any server selection to do. In the presence of records containing weights greater than 0, records with weight 0 should have a very small chance of being selected.

Returns:
  int the weight

### getTTL

long getTTL()
The time to live for the service. -1 if no TTL given for service. TTL: A time to live (TTL) defining the live time of a service.

Returns:
  long the time to live in seconds
Since:
  4.0

### getServiceProperties

IServiceProperties getServiceProperties()
Map with any/all properties associated with the service. Properties are assumed to be name/value pairs, both of type String.

Returns:
  Map the properties associated with this service. Will not be `null`.

### getServiceName

String getServiceName()
A user choose label used for pretty printing this service.

Returns:
  A human readable service name. Not used for uniqueness!
Since:
  3.0